🔗 REST APIMarkets

Lists active market IDs for a specific exchange.

Returns only market IDs (not full market objects) because this data is derived from recent quotes and transactions only. Use the /history endpoint to retrieve full market details.

GET
/v1/markets/{exchange_id}/active
Authorization<token>

API Key is required to access the endpoints

In: header

Path Parameters

exchange_id*string

The unique identifier of the exchange (e.g., POLYMARKET).

Query Parameters

limit?integer

Maximum number of market IDs to return (1-10000, default 100).

Formatint32
Default100
page?integer

Page number (1-based, >= 1, default 1). Internally converted to offset = (page - 1) * limit.

Formatint32
Default1

Response Body

curl -X GET "https://example.com/v1/markets/string/active"
[  "WILL-TRUMP-SELL-10K-25K-GOLD-CARDS-IN-2025_YES",  "WILL-TRUMP-SELL-10K-25K-GOLD-CARDS-IN-2025_NO",  "NFL-PIT-CAR-2025-08-21-SPREAD-AWAY-5PT5_YES",  "NFL-PIT-CAR-2025-08-21-SPREAD-AWAY-5PT5_NO",  "CRYPTO-BTC-PRICE-ABOVE-100K-BY-EOY-2025_YES"]